cluster.loadings {psych} | R Documentation

## Find item by cluster correlations, corrected for overlap and reliability

### Description

Given a n x n correlation matrix and a n x c matrix of -1,0,1 cluster weights for those n items on c clusters, find the correlation of each item with each cluster. If the item is part of the cluster, correct for item overlap. Part of the `ICLUST` set of functions, but useful for many item analysis problems.

### Usage

    cluster.loadings(keys, r.mat, correct = TRUE,SMC=TRUE)

### Arguments

`keys` | Cluster keys: a matrix of -1,0,1 cluster weights
`r.mat` | A correlation matrix
`correct` | Correct for reliability
`SMC` | Use the squared multiple correlation as a communality estimate, otherwise use the greatest correlation for each variable

### Details

Given a set of items to be scored as (perhaps overlapping) clusters and the intercorrelation matrix of the items, find the clusters and then the correlations of each item with each cluster. Correct for item overlap by replacing the item variance with its average within cluster inter-item correlation.

Although part of ICLUST, this may be used in any SAPA (http://sapa-project.org) application where we are interested in item- whole correlations of items and composite scales.

These loadings are particularly interpretable when sorted by absolute magnitude for each cluster (see `ICLUST.sort`).

### Value

`loadings` | A matrix of item-cluster correlations (loadings)
`cor` | Correlation matrix of the clusters
`corrected` | Correlation matrix of the clusters, raw correlations below the diagonal, alpha on diagonal, corrected for reliability above the diagonal
`sd` | Cluster standard deviations
`alpha` | alpha reliabilities of the clusters
`G6` | G6* Modified estimated of Guttman Lambda 6
`count` | Number of items in the cluster

### Note

Although part of ICLUST, this may be used in any SAPA application where we are interested in item- whole correlations of items and composite scales.

### Author(s)

Maintainer: William Revelle revelle@northwestern.edu

### References

ICLUST: http://personality-project.org/r/r.ICLUST.html

### See Also

`ICLUST`, `factor2cluster`, `cluster.cor`

### Examples

     r.mat<- Harman74.cor$cov
     clusters <- matrix(c(1,1,1,rep(0,24),1,1,1,1,rep(0,17)),ncol=2)
     cluster.loadings(clusters,r.mat)

[Package psych version 1.6.9 Index]